# Create or Update Batch ProviderCredLicense

Create or Update multiple ProviderCredLicense at once.  If the entity exists, it will be updated.  If the entity does not exist, it will be created.

Endpoint: PUT /provider-credentialing/{providerCredKey}/licenses-batch
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `providerCredKey` (integer, required)
    ProviderCred Key

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `providerCredLicense_Key` (integer, required)
    Unique identifier for each license record. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `credLicenseType_Key` (integer)
    Indicates the type of license associated with the credential.

  - `effective_Date` (string)
    Date when the license becomes/became effective.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `license_Name` (string)
    Name of the assoicated license.

  - `license_Number` (string)
    License number of the associated license.

  - `psV_Date` (string)
    Primary Source Verification date.

  - `providerCred_Key` (integer, required)
    Associates these custom license values with the credentialing process (ProviderCred.ProviderCred_Key) Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `specialty_Code` (string)
    Specialty associated with the license.

  - `state` (string)
    State in which the associated license is effective.

  - `term_Date` (string)
    Date when the license expires/expired.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 207:

  - `207` (unknown)
    Success

## Response 207 fields (application/json):

  - `data` (array)

  - `data.id` (array, required)
    List of key/value pairs that represent the unique id for the entity operation.

  - `data.id.key` (string)

  - `data.id.value` (string)

  - `data.status` (integer, required)
    http status of the operation (eg, 200, 201, 500)

  - `data.body` (string, required)
    operation message (eg, Updated, Created, Error message)

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

